Table of Contents

mISDN (unsupported)

Usage

Note: AstLinux 1.x does not support mISDN anymore. Use DAHDI + Asterisk 1.8 or newer instead1)

The 3rd-party dahdi_hfcs (formerly zaphfc) DAHDI driver for single port HFC BRI cards is now included in the AstLinux 1.0.3 release.



In AstLinux 0.7 mISDN 1.1.9.2 and mISDNuser 1.1.9.1 are used.
From the user side nothing has changed in using mISDN compared to earlier AstLinux versions:

  • activate ISDN_MODPROBE in your user.conf (or /mnt/kd/rc.conf)
  • optionally edit misdn-init.conf
  • edit misdn.conf

Problems

mISDN 1.1 has a few problems with some of those cheap single-port HFC-chipset ISDN PCI cards (the 4-port HFC-multi cards do work!) when unloading the driver on Linux kernels ≥ 2.6.26. This is not specific to AstLinux 2). When you use such an mISDN-compatible PCI card and mISDN is loaded, you could see the following issues:

  • lspci will not work anymore – you will see something like:
    lspci: Cannot open /sys/bus/pci/devices/0000:00:0e.0/resource: No such file or directory
  • when you try to do a misdn-init stop or misdn-init restart you will get a segfault (with the following “reboot workaround” you can just reboot, instead of restarting mISDN, if needed)
  • on reboot/shutdown you will get a kernel panic (when Linux tries to unload the mISDN driver) – on some boxes the system might hang forever 3), which could be a big problem when you upgrade a box remotely

A workaround for the reboot issue is:

  • mount -o rw,remount /oldroot/cdrom/
  • manually edit /oldroot/cdrom/os/astlinux-xxx.run.conf and append reboot=bios to the KCMD line.
  • please note that this is NOT included in the AstLinux distributions by default, so it will be overwritten by an upgrade. You must therefore edit it again after an upgrade before you reboot after that upgrade!


The above issues are still existing when using the mISDN sourcecode from the Digium SVN (from Astlinux 0.7.5 onwards).

1) some cards are supported by DAHDI now (hfcmulti by wcb4xxp, hfcpci by zaphfc/dahdi_hfcs).
2) AstLinux 0.7 uses 2.6.27
3) at least on a Soekris net5501 – a Soekris net4801 stalls for a few minutes, but then finally reboots